
#if defined(MALLOC_DEBUG)
#if MALLOC_DEBUG

#include <stdlib.h>
#include <string.h>

static const char *_FileName = __FILE__;

#define malloc(x) xmalloc(x,_FileName, __LINE__)
#define strdup(x) xstrdup(x,_FileName, __LINE__)

extern void*xmalloc(int,          const char *, int);
extern void xfree  (void*,        const char *, int);
extern char*xstrdup(const char *, const char *, int);

#endif
#endif
